skip to navigation
skip to content

civicjson 0.1.1

Tools to make the civic.json (extended) specification easy to use.

civic.json-cli is a command line interface that helps make civic.json easier to use. This tool will let you:

  1. Install a civic.json template to your repository
  2. Validate one that’s already there.

It implements the civic.json (extended) specification, a (backwards compatible) modification to BetaNYC’s original civic.json specification. The update aims to broaden civic.json’s user base to include civic hackers inside and outside of government.

You can read more about that on the civic.json (extended) homepage or in its GitHub repository.

Dependencies

  • Python 2.7 or 3.3+
  • jsonschema to validate civic.json files against the schema
  • requests to get the schema and template files from GitHub and ensure they’re up to date
  • An active internet connection

Use

Create a civic.json file

Run civicjson init from the base directory of your repository to initialize a civic.json file (with explanatory text).

Validate a civic.json file

Run civicjson validate from the folder containing your civic.json file. If there are any errors, it will output them to the console.

 
File Type Py Version Uploaded on Size
civicjson-0.1.1-py2.py3-none-any.whl (md5) Python Wheel py2.py3 2016-01-29 7KB
civicjson-0.1.1.tar.gz (md5) Source 2016-01-29 4KB